# Copyright © 2015-2018,2021 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=7

PYTHON_COMPAT=( python3_8 )

inherit distutils-r1

MY_P=Mnemosyne-$PV

DESCRIPTION="A flash card tool to optimize your learning process"
HOMEPAGE="https://mnemosyne-proj.org/"
SRC_URI="mirror://sourceforge/mnemosyne-proj/$MY_P.tar.gz"

LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND=">=dev-python/PyQt5-5.6[widgets,sql,$PYTHON_USEDEP]
	|| (
		dev-python/PyQtWebEngine[$PYTHON_USEDEP]
		dev-python/PyQt5[webengine]
	)
	>=dev-python/cheroot-5[$PYTHON_USEDEP]
	>=dev-python/webob-1.4[$PYTHON_USEDEP]
	dev-python/matplotlib[$PYTHON_USEDEP]"
BDEPEND="app-text/dos2unix"

S=$WORKDIR/$MY_P

PATCHES=(
	"$FILESDIR/mnemosyne-2.7.3-fix-desktop-categories.patch"
	"$FILESDIR/mnemosyne-2.7.3-no-google.patch"
)

src_prepare () {
	find -name '*.py' -exec dos2unix {} + || die
	dos2unix ChangeLog README mnemosyne.desktop || die
	dos2unix mnemosyne/pyqt_ui/mnemosyne || die

	default
}
